package com.steerinfo.meterwork.meterworkbeltscaleactual.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.meterwork.meterworkbeltscaleactual.model.MeterWorkBeltScaleActual;
import com.steerinfo.pretrack.prebeltscale.model.PreBeltScale;
import com.steerinfo.util.CommonPage;

import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

/**
 * MeterWorkBeltScaleActual服务接口：
 *
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-16 02:25
 * 类描述
 * 修订历史：
 * 日期：2021-10-16
 * 作者：generator
 * 参考：
 * 描述：MeterWorkBeltScaleActual服务接口
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 * @see null
 */
public interface IMeterWorkBeltScaleActualService extends IBaseService<MeterWorkBeltScaleActual, String> {

    int doAddBeltScaleActual(MeterWorkBeltScaleActual model);

    int updateBeltScaleActual(MeterWorkBeltScaleActual model);

    //根据不同的状态查询数据
    List<MeterWorkBeltScaleActual> doQueryActualInfoFlags(MeterWorkBeltScaleActual model);

    //查询最大打印编码
    List<MeterWorkBeltScaleActual> doQueryMaxPno(MeterWorkBeltScaleActual model);

    //实绩查询 多条件
    List<MeterWorkBeltScaleActual> doQueryAndMultiple(CommonPage<MeterWorkBeltScaleActual> model);

    //实绩查询 分组统计
    List<MeterWorkBeltScaleActual> doQueryActualInfoAndGroup(CommonPage<MeterWorkBeltScaleActual> model);

    //实绩修改审核状态  修改为未审核
    int doUpdateFlags_0(List<MeterWorkBeltScaleActual> list);

    //实绩修改审核状态  修改为已审核
    int doUpdateFlags_1(List<MeterWorkBeltScaleActual> list);

    //实绩修改审核状态  修改为未审核
    int doUpdateCheckFlags_0(List<MeterWorkBeltScaleActual> list);

    //实绩修改审核状态  修改为已审核
    int doUpdateCheckFlags_1(List<MeterWorkBeltScaleActual> list);
}